package config

import "encoding/json"
import "log"
import "os"


type ConfigT struct {
  Mqtt struct {
    Broker string `json:"broker"`
    Username string `json:"username"`
    Password string `json:"password"`
    TlsEnable string `json:"tlsEnable"`
  } `json:"mqtt"`
  TopicMappings []struct {
    Topics []string `json:"topics"`
    Handler string `json:"handler"`
  } `json:"topicMappings"`
  Handlers []struct {
    Name string `json:"name"`
    DatabaseConnStr string `json:"databaseConnStr"`
    Attributes map[string]string `json:"attributes"`
  } `json:"handlers"`
  Archiver struct {
    Dir string `json:"dir"`
  }
}

var Config ConfigT


func LoadConfiguration() {
  err := json.Unmarshal([]byte(os.Getenv("UDI_CONF")), &Config)
  if err != nil {
    log.Fatalf("Unable to parse configuration: %s", err)
  }
}

